org.apache.cassandra.config

## Enum Config.DiskFailurePolicy

- java.lang.Object
- - java.lang.Enum<Config.DiskFailurePolicy>
  - - org.apache.cassandra.config.Config.DiskFailurePolicy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Config.DiskFailurePolicy>

Enclosing class:
  Config

    public static enum Config.DiskFailurePolicy
    extends java.lang.Enum<Config.DiskFailurePolicy>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`best_effort`
`die`
`ignore`
`stop`
`stop_paranoid`

### Method Summary

All Methods Static Methods Concrete Methods
`static Config.DiskFailurePolicy` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Config.DiskFailurePolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### best_effort

    public static final Config.DiskFailurePolicy best_effort

#### stop

    public static final Config.DiskFailurePolicy stop

#### ignore

    public static final Config.DiskFailurePolicy ignore

#### stop_paranoid

    public static final Config.DiskFailurePolicy stop_paranoid

#### die

    public static final Config.DiskFailurePolicy die

### Method Detail

#### values

    public static Config.DiskFailurePolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Config.DiskFailurePolicy c : Config.DiskFailurePolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Config.DiskFailurePolicy valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null